Bug 63181 - GCC segfault when compiling in -march=k6
GCC segfault when compiling in -march=k6
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 17:38 EDT by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 14:50:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-10 17:38:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
gcc -D__KERNEL__ -I/usr/src/linux-2.4.9-31/include -Wall -Wstrict-prototypes -Wn
o-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-unuse
d -pipe -mpreferred-stack-boundary=2 -march=k6    -DEXPORT_SYMTAB -c signal.c
signal.c: In function `sys_rt_sigtimedwait':
signal.c:977: Internal error: Erreur de segmentation.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [signal.o] Erreur 2
make[2]: Quitte le rC)pertoire `/usr/src/linux-2.4.9-31/kernel'
make[1]: *** [first_rule] Erreur 2
make[1]: Quitte le rC)pertoire `/usr/src/linux-2.4.9-31/kernel'
make: *** [_dir_kernel] Erreur 2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure for -march=k6   / ADM k6 architecture
2. make
3. segfault!
	

Additional info:
Comment 1 Jakub Jelinek 2002-04-11 04:16:14 EDT
Is this reproduceable, always on the same file same error?
If yes, please attach here preprocessed source (add -save-temps to gcc command
line) and mention what exact gcc options and arguments were used to compile
that file.


Note You need to log in before you can comment on or make changes to this bug.